## trunk?format=zip&rev=2861

=== packages/invirt-web/code/Makefile ===
all: kill chmod

chmod:
	chgrp -R invirt . 2>/dev/null || true
	chmod -R g+w . 2>/dev/null || true

kill:
	-pkill invirt.fcgi

=== packages/hvirt-devconfig/debian/changelog ===
hvirt-devconfig (0.9) unstable; urgency=low

  * Added network info
  * Added vg = root info

 -- Greg Brockman <gdb@mit.edu>  Fri, 01 Jan 2010 23:29:20 -0500

hvirt-devconfig (0.8) unstable; urgency=low

  * Added internal_ip to hosts

 -- Greg Brockman <gdb@mit.edu>  Thu, 31 Dec 2009 02:18:37 -0500

hvirt-devconfig (0.7) unstable; urgency=low

  * Removed the postinst; moving it to an init script in invirt-base.

 -- Greg Brockman <gdb@mit.edu>  Thu, 24 Dec 2009 20:14:12 -0500

hvirt-devconfig (0.6) unstable; urgency=low

  * Added a postinst to set the default_realm appropriately
  * Fixed entry for console in master.yaml

 -- Greg Brockman <gdb@mit.edu>  Thu, 24 Dec 2009 19:34:11 -0500

hvirt-devconfig (0.5) unstable; urgency=low

  * Added kerberos entry
  * Added s_console and s_remote sysvms

 -- Greg Brockman <gdb@mit.edu>  Thu, 24 Dec 2009 18:02:28 -0500

hvirt-devconfig (0.4) unstable; urgency=low

  * Added console entry

 -- Greg Brockman <gdb@hcs.harvard.edu>  Wed, 23 Dec 2009 20:52:47 -0500

hvirt-devconfig (0.3) unstable; urgency=low

  * Added remote entry

 -- Greg Brockman <gdb@hcs.harvard.edu>  Wed, 23 Dec 2009 20:49:52 -0500

hvirt-devconfig (0.2) unstable; urgency=low

  * Added hosts entry

 -- Greg Brockman <gdb@hcs.harvard.edu>  Thu, 24 Dec 2009 01:41:02 +0000

hvirt-devconfig (0.1) unstable; urgency=low

  * Initial build; stole some config from xvm-devconfig.

 -- Greg Brockman <gdb@hcs.harvard.edu>  Mon, 21 Dec 2009 20:14:06 +0000

=== packages/invirt-console/debian/changelog ===
invirt-console (0.2.12) unstable; urgency=low

  * Use the new invirt-ssh-config package instead of
    debathena-ssh-server-config.

 -- Evan Broder <broder@mit.edu>  Sun, 03 Jan 2010 13:42:43 -0500

invirt-console (0.2.11) unstable; urgency=low

  * Disable the sftp subsystem on the console server; it interacts poorly
    with invirt-consolesh.

 -- Evan Broder <broder@mit.edu>  Thu, 13 Aug 2009 19:18:44 -0700

invirt-console (0.2.10) unstable; urgency=low

  * Give the website access to all consoles in preparation for exposing
    AjaxTerm.

 -- Evan Broder <broder@mit.edu>  Mon, 10 Aug 2009 17:54:12 -0700

invirt-console (0.2.9) unstable; urgency=high

  * Don't allow any sort of port forwarding to the console server.

 -- Evan Broder <broder@mit.edu>  Mon, 27 Apr 2009 20:08:48 -0400

invirt-console (0.2.8) unstable; urgency=low

  * Add conserver-server to -server's dependencies.

 -- Evan Broder <broder@mit.edu>  Fri, 20 Feb 2009 13:19:52 -0500

invirt-console (0.2.7) unstable; urgency=low

  * Use a simpler query construct in ConsoleFS.

 -- Evan Broder <broder@mit.edu>  Tue, 17 Feb 2009 04:23:05 -0500

invirt-console (0.2.6) unstable; urgency=high

  * Turn off autocompletion of console names.  (LP: #326075)

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 06 Feb 2009 04:28:36 -0500

invirt-console (0.2.5) unstable; urgency=low

  * update/rewrite description

 -- Greg Price <price@mit.edu>  Fri, 19 Dec 2008 22:39:00 -0500

invirt-console (0.2.4) unstable; urgency=low

  * config.{authn[0] => kerberos}.realm

 -- Evan Broder <broder@mit.edu>  Wed, 10 Dec 2008 23:06:24 -0500

invirt-console (0.2.3) unstable; urgency=low

  * ...and /home/machines

 -- Evan Broder <broder@mit.edu>  Mon, 08 Dec 2008 09:47:20 -0500

invirt-console (0.2.2) unstable; urgency=low

  * Also create the /consolefs directory

 -- Evan Broder <broder@mit.edu>  Mon, 08 Dec 2008 09:27:55 -0500

invirt-console (0.2.1) unstable; urgency=low

  * Be sure to create the /etc/conserver/conf.d directory

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 10:29:35 -0500

invirt-console (0.2.0) unstable; urgency=low

  * Rename source package in preparation for merging invirt-console-server
    with invirt-console-host
  * Merge invirt-console-host into invirt-console (LP: #305681)

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 10:17:06 -0500

invirt-console-server (0.1.3) unstable; urgency=low

  * Fix a gen_config -> gen_files

 -- Greg Price <price@mit.edu>  Sat, 22 Nov 2008 19:27:59 -0500

invirt-console-server (0.1.2) unstable; urgency=low

  * Use gen-files.sh instead of rolling out own

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:45:25 -0500

invirt-console-server (0.1.1) unstable; urgency=low

  * Clean up the init script with some ideas from debathena-pyhesiodfs.
  * Switch to using std-init.

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:26:22 -0500

invirt-console-server (0.1.0) unstable; urgency=low

  * Add real caching to consolefs
  * Now that we're really caching, cache for a shorter period of time

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 13:16:37 -0500

invirt-console-server (0.0.13) unstable; urgency=low

  * Actually get the password fields right for libnss-pgsql

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 22:57:49 -0500

invirt-console-server (0.0.12) unstable; urgency=low

  * Fix the libnss-pgsql config - don't suggest that the password should
    be in /etc/shadow

 -- Evan Broder <broder@mit.edu>  Mon, 10 Nov 2008 20:34:14 -0500

invirt-console-server (0.0.11) unstable; urgency=low

  * Don't depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:47:47 -0500

invirt-console-server (0.0.10) unstable; urgency=low

  * Fix some uncaught bugs with the libnss-pgsql config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:21:12 -0500

invirt-console-server (0.0.9) unstable; urgency=low

  * Depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 21:48:34 -0500

invirt-console-server (0.0.8) unstable; urgency=low

  * The ACL file for remctl moved, but the reference to it didn't

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 03:35:48 -0500

invirt-console-server (0.0.7) unstable; urgency=low

  * Apparently remctl scripts run without a PATH

 -- Evan Broder <broder@mit.edu>  Sun, 02 Nov 2008 17:08:35 -0500

invirt-console-server (0.0.6) unstable; urgency=low

  * Use invoke-rc.d instead of calling init scripts directly

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 06:32:17 -0400

invirt-console-server (0.0.5) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:16 -0400

invirt-console-server (0.0.4) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:04:39 -0400

invirt-console-server (0.0.3) unstable; urgency=low

  * Remove dependency on sipb-xen-chrony-config - we need to take care of
    the clock, but not through that package

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 19:18:06 -0400

invirt-console-server (0.0.2) unstable; urgency=low

  * Standardize on "Invirt project"

 -- Evan Broder <broder@mit.edu>  Fri, 24 Oct 2008 13:32:17 -0400

invirt-console-server (0.0.1) unstable; urgency=low

  * sipb-xen -> invirt
  *  -> -server while we're at it

 -- Greg Price <price@mit.edu>  Fri, 24 Oct 2008 03:54:40 -0400

sipb-xen-console (8.4) unstable; urgency=low

  * Create a dummy console entry that exists by default so that conserver
    won't quit if no consoles are defined.

 -- Evan Broder <broder@mit.edu>  Tue, 14 Oct 2008 03:13:47 -0400

sipb-xen-console (8.3) unstable; urgency=low

  * Update nss-pgsql.conf.mako to reflect new config file format

 -- Evan Broder <broder@mit.edu>  Mon, 06 Oct 2008 02:31:37 -0400

sipb-xen-console (8.2) unstable; urgency=low

  * Actually generate nscd.conf correctly



=== packages/invirt-web-iptables/debian/changelog ===
invirt-web-iptables (0.0.2) unstable; urgency=low

  * Be sure to enable IP forwarding for VNC

 -- Evan Broder <broder@mit.edu>  Wed, 29 Oct 2008 01:27:48 -0400

invirt-web-iptables (0.0.1) unstable; urgency=low

  * sipb-xen-iptables -> invirt-web-iptables

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 17:47:46 -0400

sipb-xen-iptables (3) unstable; urgency=low

  * shorten initscript with std-init.sh
  * make reload work too, just for fun

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 15:37:07 -0400

sipb-xen-iptables (2) unstable; urgency=low

  * invirt-configurize sipb-xen-iptables

 -- Evan Broder <broder@mit.edu>  Sun, 05 Oct 2008 01:22:25 -0400

sipb-xen-iptables (1) unstable; urgency=low

  * Initial Release.
 -- SIPB Xen Project <sipb-xen@mit.edu>  Fri, 28 Mar 2008 21:22:12 -0500

=== packages/xvm-munin-config/debian/changelog ===
xvm-munin-config (0.0.8) unstable; urgency=low

  * Monitor how many processes are currently wiping an LV

 -- Quentin Smith <quentin@mit.edu>  Thu, 02 Apr 2009 02:06:41 -0400

xvm-munin-config (0.0.7) unstable; urgency=low

  * Remove smart monitoring for Equallogic RAID devices

 -- Quentin Smith <quentin@mit.edu>  Sat, 14 Mar 2009 03:06:05 -0400

xvm-munin-config (0.0.6) unstable; urgency=low

  * Add Provides and Conflicts lines to debian/control for
    config-package-dev

 -- Evan Broder <broder@mit.edu>  Sat, 24 Jan 2009 20:17:06 -0500

xvm-munin-config (0.0.5) unstable; urgency=low

  [ Quentin Smith ]
  * Fix typos in xen_cpu script for XenAPI code
  * Bump theoretical CPU max to 64x
  * Show domain CPU weight and cap if available
  * Refuse to run with the untested SERVER_XEN_API until we support it elsewhere

  [ Evan Broder ]
  * Move the unnecessary Pre-Depends to a Depends
  * We don't need to remove the code from sudoers in the postinst - the
    preinst will get run on upgrade

 -- Quentin Smith <quentin@mit.edu>  Tue, 25 Nov 2008 23:44:22 -0500

xvm-munin-config (0.0.4) unstable; urgency=low

  * Pass microseconds to Munin and display as percentages on graph

 -- Quentin Smith <quentin@mit.edu>  Tue, 25 Nov 2008 21:31:07 -0500

xvm-munin-config (0.0.3) unstable; urgency=low

  * Fix xen_cpu script to leave out hyphens from UUID
  * Add a variable to the remote init script that std-init expects

 -- Evan Broder <broder@mit.edu>  Tue, 25 Nov 2008 19:09:34 -0500

xvm-munin-config (0.0.2) unstable; urgency=low

  [ Quentin Smith ]
  * Add a monitoring script for domain CPU utilization
  
  [ Evan Broder ]
  * Don't just keep adding to the sudoers file

 -- Evan Broder <broder@mit.edu>  Tue, 25 Nov 2008 08:08:26 -0500

xvm-munin-config (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Evan Broder <broder@mit.edu>  Sat, 22 Nov 2008 05:52:10 -0500

=== packages/hvirt-devconfig/debian/control ===
Source: hvirt-devconfig
Section: servers
Priority: important
Maintainer: HCS Hvirt Project <hvirt@hcs.harvard.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5)
Standards-Version: 3.7.2

Package: hvirt-devconfig
Architecture: all
Provides: invirt-config
Conflicts: invirt-config
Depends: ${shlibs:Depends}, ${misc:Depends}, invirt-base (>= 0.0.19)
Description: Hvirt dev-cluster config
  This is the master configuration package for the Hvirt development cluster.

=== packages/invirt-console/debian/control ===
Source: invirt-console
Section: servers
Priority: extra
Maintainer: Invirt project <invirt@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), config-package-dev (>= 4.5~), nscd, openssh-server, invirt-ssh-config, initscripts
Standards-Version: 3.7.2

Package: invirt-console-server
Architecture: all
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Depends: invirt-base, ${shlibs:Depends}, ${misc:Depends},
 conserver-client, conserver-server, daemon,
 debathena-kerberos-config, fuse-utils, libnss-pgsql1, nscd,
 openssh-server, python, python-routefs, invirt-database,
 remctl-server, invirt-ssh-config
Description: Invirt serial-console proxy server
 This is the software for the serial-console proxy server.

Package: invirt-console-host
Architecture: all
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Depends: ${shlibs:Depends}, ${misc:Depends}, conserver-server, remctl-client, invirt-base, cron
Description: Invirt serial-console host config
 This package sets up an Invirt host to work with the serial-console
 proxy server.

=== packages/invirt-console/debian/rules ===
#!/usr/bin/make -f

DEB_DIVERT_EXTENSION = .invirt
DEB_TRANSFORM_FILES_invirt-console-server += \
	/etc/init.d/bootmisc.sh.invirt \
	/etc/nsswitch.conf.invirt \
	/etc/nscd.conf.invirt \
	/etc/pam.d/sshd.invirt \
	/etc/ssh/sshd_config.invirt.invirt

DEB_UNDIVERT_FILES_invirt-console-server += \
	/etc/ssh/sshd_config.debathena.invirt

EB_UNDIVERT_VERSION_/etc/ssh/sshd_config.debathena.invirt = 0.2.12~

ifneq ($(wildcard /usr/share/base-files/nsswitch.conf),)
    DEB_CHECK_FILES_SOURCE_/etc/nsswitch.conf.invirt = \
        /usr/share/base-files/nsswitch.conf
endif

DEB_DIVERT_FILES_invirt-console-server += \
	/etc/conserver/conserver.cf.invirt \
	/etc/motd.invirt
DEB_DIVERT_FILES_invirt-console-host += \
	/etc/conserver/conserver.cf.invirt \
	/etc/conserver/server.conf.invirt

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/config-package.mk
